#ifndef STDIO_H
#define STDIO_H

#include <stdint.h>

#define FRAMEBUFFER_LOCATION 0x000B8000
#define VIDEO_WIDTH 80
#define VIDEO_HEIGHT 50

extern void setTextStyle(uint8_t style);
extern void clearScreen();
extern void printf(const char* format, ...);
extern void putCharAt(char c, uint8_t x, uint8_t y);
extern void putCharsAt(char* string, uint8_t x, uint8_t y);
extern void puts(char* string);

#endif